\begin{titlepage}

% check if second advisor exists
\newcommand{\printsecondadvisor}[1]{%
  \ifcsname#1\endcsname%
  \ifmmtlanguagegerman ZweitbetreuerIn: \else Second Advisor: \fi \secondadvisor 
  \else%
    
  \fi%
}
    
\thispagestyle{empty}
    
\hfill \includegraphics[height=1.5cm]{images/FHSLogo2.jpg}
    
\vspace*{2cm}
    
\Large{
    \titlename
    
    \vspace*{1cm}
    
    \ifmmtmasterthesis
        \ifmmtlanguagegerman
        Masterarbeit zur Erlangung des akademischen Grades
        \else
        Master thesis in partial fulfilment of the requirements for\\ the degree of 
        \fi
    \fi
    
    \vspace*{0.5cm}
    
    \textit{\MakeSentenceCase{\papertype}}
}
    
    
\vspace*{1.5cm}
{\large
    \ifmmtlanguagegerman AutorIn\else Author\fi: \authorname
}
\vfill
    
{\normalsize
    \ifmmtlanguagegerman
    Vorgelegt am FH-Masterstudiengang MultiMediaTechnology, Fachhochschule Salzburg
    \else
    Submitted to the Master degree program MultiMediaTechnology, Salzburg University of Applied Sciences
    \fi
    
    
    \vspace*{1cm}
    
    \ifmmtlanguagegerman BetreuerIn: \else Advisor: \fi
    \advisor
    \\    
    \printsecondadvisor{secondadvisor}
    
    \vfill
    
    Salzburg, \ifmmtlanguagegerman Österreich, \else Austria, \fi  \thesisdate
}
\end{titlepage}